#include <bits/stdc++.h>

using namespace std;

long long n;
long long kopija;
long long br;
int i;
int cifra;

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin>>n;
    kopija=n;
    br=0;

    while(kopija!=0)
    {
        cifra=kopija%10;
        br+=cifra/5;
        cifra=cifra%5;
        br+=cifra/2+cifra%2;
        kopija=kopija/10;
    }
    cout<<br;
    
    return 0;
}